<div class="container mt-4">
  <div class="card border-primary">
    <div class="card-body" style="text-align: center;">
      <span class="h3 fw-bolder">Listado de libros</span>
    </div>
  </div>
  <table class="table table-hover mt-2">
    <thead class="table-active   table-striped">
      <tr>
        <th scope="col">Nombre</th>
        <th scope="col">Autor</th>
        <th scope="col">Descripcion</th>
        <th scope="col">Precio</th>
        <th scope="col">Categoria</th>
        <th scope="col">Prestado</th>
        <th scope="col">Usuario</th>
        <th scope="col">
          <button mat-raised-button color="primary" routerLink="create-libros">
            Añadir
          </button>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let libro of libros">
        <td class="align-middle">{{libro.nombre}}</td>
        <td class="align-middle">{{libro.autor}}</td>
        <td class="align-middle">{{libro.descripcion}}</td>
        <td class="align-middle">{{libro.precio | currency:'EUR':true }}</td>
        <td class="align-middle">{{libro.categoria}}</td>
        <td class="align-middle fw-bolder" style="text-align: center;" *ngIf="libro.prestado == true">Si</td>
        <td class="align-middle fw-bolder" style="text-align: center;" *ngIf="libro.prestado == false">No</td>
        <td class="align-middle fw-bolder" *ngIf="libro.prestado == false"></td>
        <td class="align-middle" style="text-align: center;" *ngIf="libro.prestado == true">
          {{libro.nombreUsuarioPrestado}}</td>
        <!-- *ngIf="libro.prestado == true" -->
        <td class="align-middle">
          <button (click)="eliminarLibro(libro.id)" mat-mini-fab color="warn" style="transform: scale(0.85);"
            aria-label="Example icon button with a delete icon">
            <mat-icon>delete</mat-icon>
          </button>
          <button [routerLink]="['editLibro/', libro.id]" mat-mini-fab color="accent" style="transform: scale(0.85);"
            aria-label="Example icon button with a delete icon">
            <mat-icon>edit</mat-icon>
          </button>
        </td>

      </tr>
    </tbody>
  </table>
</div>
